**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/24.2/documents/document-attachments/delete-multiple-document-attachments.md

# Delete Multiple Document Attachments



Delete multiple document attachments in bulk with a JSON or CSV input file. This works for version-specific attachments and attachments at the document level.

* The maximum input file size is 1GB.

* The values in the input must be UTF-8 encoded.

* CSVs must follow the standard RFC 4180 format, with some [exceptions](/vault-api/references/csv-rfc-deviations).

* The maximum batch size is 500.

<Endpoint path="/api/{version}/objects/documents/attachments/batch" method="DELETE"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `text/csv` |
| `Accept` | `application/json` (default) or `text/csv` or `application/xml` |
</FieldTable>

## Body Parameters {#body-parameters}

<Aside>Some HTTP clients do not support `DELETE` requests with a
body. As a workaround for these cases, you can simulate this request using the
`POST` method with the `_method=DELETE` query parameter.

</Aside>
Prepare a CSV or JSON input file.

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The attachment ID to delete. Not required if providing a unique field identifier (`idParam`) such as `external_id__v`. |
| `external_id__v` | Identify documents by their external ID instead of regular `id`. You must also add the `idParam=external_id__v` query parameter. |
| `document_id__v` | The source document `id` value. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `idParam` | If you’re identifying attachments in your input by external id, add `idParam=external_id__v` to the request endpoint. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X DELETE -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Documents\delete_attachments.csv" \
https://myvault.veevavault.com/api/v17.3/objects/documents/attachments/batch

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "responseStatus": "SUCCESS",
            "id": 26
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response returns the `id` of all successfully deleted attachments. You can only delete the latest version of an attachment.



---

**Previous:** [Delete Single Document Attachment Version](/commercial/vault-api/api-reference/24.2/documents/document-attachments/delete-single-document-attachment-version)  
**Next:** [Create Document Attachment](/commercial/vault-api/api-reference/24.2/documents/document-attachments/create-document-attachment)